Summary: GNU Tape Archiver (tar)
Name: tar
Version: 1.12
Release: 1
Copyright: GPL
Group: Utilities/Archiving
Source: prep.ai.mit.edu:/pub/gnu/tar-1.12.tar.gz
Patch0: tar-1.12-remote.patch
Patch1: tar-1.12-normt.patch
Patch2: tar-1.11.8-manpage.patch
BuildRoot: /tmp/tar-root

%description
GNU `tar' saves many files together into a single tape or disk
archive, and can restore individual files from the archive.  It
includes multivolume support, the ability to archive sparse files,
automatic archive compression/decompression, remote archives and
special features that allow `tar' to be used for incremental and full
backups.  If you wish to do remote backups with tar, you will need
to install the `rmt' package as well.

%prep
%setup
%patch0 -p1 -b .remote
%patch1 -p1 -b .normt
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --disable-nls --prefix=/usr

make
#make CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{bin,usr/man/man1}
make prefix=$RPM_BUILD_ROOT/usr install
install -m 644 -o 0 -g 0 tar.1 $RPM_BUILD_ROOT/usr/man/man1
gzip -9nf $RPM_BUILD_ROOT/usr/info/*
mv $RPM_BUILD_ROOT/usr/bin/tar $RPM_BUILD_ROOT/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
/bin/tar
/usr/info/*
/usr/man/man1/tar.1
